import request from '@/utils/request.js'

// 获取省 数据
export function getProver() {
    return request({
        url: '/area/getProver',
        method: 'get'
    })
};

// 获取市 区数据

export function getArea(data) {
    return
    return request({
        url: `/area/getChildren/${data}`,
        method: 'get'
    })
};

// 获取 选择器类型信息
export function getSelectType(data) {
    return request({
        url: `/basis/parameterconfigMgr/customerQuery/${data}`,
        method: 'post'
    })
};

// 获取药房详细信息
export function getPharmacyMsg(data) {
    return request({
        url: `/basis/pharmacyMgr/${data}`,
        method: 'get',
    })
};

// 医共体选择器数据
export function doctorBodySelect() {
    return request({
        url: '/test/outpatient/organizationCustomerQuery',
        method: 'post'
    })
};

// 选择医疗机构
export function medicalInstitution(data) {
    return request({
        url: '/test/outpatient/stitutionsCustomerQuery?organizationId=' + data.organizationId,
        method: 'post',
        data
    })
};

// 开方医生选择器
export function getDoctorSelect(data) {
    return request({
        url: '/test/outpatient/userCustomerQuery?stitutionsId=' + data.stitutionsId,
        method: 'post',
        data
    })
};

// 获取患者地址信息
export function getPatAddress(data) {
    return request({
        url: '/test/outpatient/historyDistribution?patId=' + data.patId,
        method: 'get',
        data
    })
};